The called constructor method for WP_Widget is deprecated since version 4.3.0


#1

Hello,

Thanks for the great theme!

I just updated to Wordpress 4.3 and it seems that something is broken.

I get this error that shows up on my page:

Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /nfs/c11/h01/mnt/194603/domains/guitarstreet.org/html/wordpress/wp-includes/functions.php on line 3457

Other themes are fine. Is there something that needs to be fixed?

Here’s my site: http://www.guitarstreet.org/

Thanks in advance!


#2

Hi,

We already fixed it and submitted an update (it will take a couple of days for it to be live). Meanwhile, disable WP_Debug so you don’t see the notice, you should never have it enabled on a non-dev site.